class Prqlc < Formula
  desc "Simple, powerful, pipelined SQL replacement"
  homepage "https://prql-lang.org"
  url "https://github.com/PRQL/prql/archive/refs/tags/0.12.2.tar.gz"
  sha256 "455779a7b4c6fee3be6521b24236ffe6aa667986482ff6bb00732797d8dd0bd5"
  license "Apache-2.0"
  head "https://github.com/prql/prql.git", branch: "main"

  depends_on "rust" => :build

  def install
    system "cargo", "install", "prqlc", *std_cargo_args(path: "prqlc/prqlc")
  end

  test do
    stdin = "from employees | filter has_dog | select salary"
    stdout = pipe_output("#{bin}/prqlc compile", stdin)
    assert_match "SELECT", stdout
  end
end
